summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/check/check.SlackBuild42
-rw-r--r--development/check/check.info12
-rw-r--r--development/check/slack-desc12
3 files changed, 46 insertions, 20 deletions
diff --git a/development/check/check.SlackBuild b/development/check/check.SlackBuild
index 2fca00c7b6..fa4d692b00 100644
--- a/development/check/check.SlackBuild
+++ b/development/check/check.SlackBuild
@@ -22,14 +22,19 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Modified by Roberto Neri <rneri@libero.it> to
+# - upgrade to version 0.9.5 and miscellaneous script cleanup
+# Modified by the SlackBuilds.org project 20071002 -RW
+
+# Exit on most errors
+set -e
PRGNAM=check
-VERSION=0.9.3
+VERSION=0.9.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-check
OUTPUT=${OUTPUT:-/tmp}
@@ -42,27 +47,40 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- || exit 1
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+# Strip binaries and libraries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
# No man page is provided
-# Move docs directory from /usr/share/ to /usr/doc
-mv $PKG/usr/share/doc $PKG/usr/doc
+# Compress info pages and remove /usr/info/dir
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+# Move docs directory from /usr/share/doc/$PRGNAM to /usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rm -fr $PKG/usr/share/doc
cp -a AUTHORS INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+# Include the SlackBuild script in the documentation directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/development/check/check.info b/development/check/check.info
index 3596914b18..5f242ab606 100644
--- a/development/check/check.info
+++ b/development/check/check.info
@@ -1,8 +1,8 @@
PRGNAM="check"
-VERSION="0.9.3"
+VERSION="0.9.5"
HOMEPAGE="http://check.sourceforge.net/"
-DOWNLOAD="http://ovh.dl.sourceforge.net/sourceforge/check/check-0.9.3.tar.gz"
-MD5SUM="6e5870f7c9c5414572158d8005e91d68"
-MAINTAINER="Jules Villard"
-EMAIL="theblatte@loulous.org"
-APPROVED="robw810,PiterPunk"
+DOWNLOAD="http://downloads.sourceforge.net/check/check-0.9.5.tar.gz"
+MD5SUM="30143c7974b547a12a7da47809a90951"
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="rworkman"
diff --git a/development/check/slack-desc b/development/check/slack-desc
index ce3b363871..84e15fe1fc 100644
--- a/development/check/slack-desc
+++ b/development/check/slack-desc
@@ -1,4 +1,12 @@
-check: Check
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+check: Check (unit test framework)
check:
check:
check: Check is a unit test framework for C. It features a simple interface
@@ -8,4 +16,4 @@ check: catch both assertion failures and code errors that cause segmentation
check: faults or other signals. The output from unit tests can be used within
check: source code editors and IDEs.
check:
-check: \ No newline at end of file
+check: